org.apache.cassandra.transport

## Class Frame

- java.lang.Object
- - org.apache.cassandra.transport.Frame

-     public class Frame
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Frame.Compressor`
    `static class` | `Frame.Decoder`
    `static class` | `Frame.Decompressor`
    `static class` | `Frame.Encoder`
    `static class` | `Frame.Header`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.jboss.netty.buffer.ChannelBuffer` | `body`
    `Connection` | `connection`
    `Frame.Header` | `header`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frame` | `create(org.jboss.netty.buffer.ChannelBuffer fullFrame, Connection connection)`
    `static Frame` | `create(Message.Type type, int streamId, java.util.EnumSet<Frame.Header.Flag> flags, org.jboss.netty.buffer.ChannelBuffer body, Connection connection)`
    `Frame` | `with(org.jboss.netty.buffer.ChannelBuffer newBody)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### header

          public final Frame.Header header

    - #### body

          public final org.jboss.netty.buffer.ChannelBuffer body

    - #### connection

          public final Connection connection

  - ### Method Detail

    - #### create

          public static Frame create(org.jboss.netty.buffer.ChannelBuffer fullFrame,
                     Connection connection)

    - #### create

          public static Frame create(Message.Type type,
                     int streamId,
                     java.util.EnumSet<Frame.Header.Flag> flags,
                     org.jboss.netty.buffer.ChannelBuffer body,
                     Connection connection)

    - #### with

          public Frame with(org.jboss.netty.buffer.ChannelBuffer newBody)

Copyright © 2014 The Apache Software Foundation